--- old/usr/src/uts/common/sys/taskq.h	Mon Nov  6 02:54:44 2017
+++ new/usr/src/uts/common/sys/taskq.h	Mon Nov  6 02:54:44 2017
@@ -23,6 +23,7 @@
  * Use is subject to license terms.
  *
  * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 #ifndef	_SYS_TASKQ_H
@@ -62,7 +63,7 @@
 #define	TQ_NOALLOC	0x04	/* cannot allocate memory; may fail */
 #define	TQ_FRONT	0x08	/* Put task at the front of the queue */
 
-#if defined(_KERNEL) || defined(_FAKE_KERNEL)
+#if defined(_KERNEL) || defined(_FAKE_KERNEL) || defined(_TASKQUSER)
 
 extern taskq_t *system_taskq;
 
@@ -85,7 +86,7 @@
 extern void	taskq_resume(taskq_t *);
 extern int	taskq_member(taskq_t *, kthread_t *);
 
-#endif	/* _KERNEL */
+#endif	/* _KERNEL || _FAKE_KERNEL || _TASKQUSER */
 
 #ifdef	__cplusplus
 }
